/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VELODYNE_PRINT_H
#define VELODYNE_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genPosTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/velodynePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_VELODYNE_TARGETTRACKING_POSTER_STR ( buf_t buf, struct VELODYNE_TARGETTRACKING_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR ( buf_t buf, struct VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR ( buf_t buf, struct VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VELODYNE_THREEDIMAGE_POSTER_STR ( buf_t buf, struct VELODYNE_THREEDIMAGE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VELODYNE_STR ( buf_t buf, struct VELODYNE_STR *x, int nDim, int *dims);
void buf_add_struct_velodyneOneShotParams ( buf_t buf, struct velodyneOneShotParams *x, int nDim, int *dims);
void buf_add_struct_velodyneSaveParams ( buf_t buf, struct velodyneSaveParams *x, int nDim, int *dims);
void buf_add_struct_velodyneTargetTrackingFileOutputParams ( buf_t buf, struct velodyneTargetTrackingFileOutputParams *x, int nDim, int *dims);
void buf_add_struct_velodyneTargetTrackingParams ( buf_t buf, struct velodyneTargetTrackingParams *x, int nDim, int *dims);
void buf_add_struct_velodyneTargetDetectionFileOutput ( buf_t buf, struct velodyneTargetDetectionFileOutput *x, int nDim, int *dims);
void buf_add_struct_velodyneTargetDetectionParams ( buf_t buf, struct velodyneTargetDetectionParams *x, int nDim, int *dims);
void buf_add_struct_velodyneTargetParams ( buf_t buf, struct velodyneTargetParams *x, int nDim, int *dims);
void buf_add_enum_velodyneVerbosity ( buf_t buf, enum velodyneVerbosity *x, int nDim, int *dims);
void buf_add_struct_velodyneFOVRemoveLineParams ( buf_t buf, struct velodyneFOVRemoveLineParams *x, int nDim, int *dims);
void buf_add_struct_velodyneFOVRemoveHeadingSectorParams ( buf_t buf, struct velodyneFOVRemoveHeadingSectorParams *x, int nDim, int *dims);
void buf_add_struct_velodyneInitParams ( buf_t buf, struct velodyneInitParams *x, int nDim, int *dims);
void buf_add_enum_velodyneModel ( buf_t buf, enum velodyneModel *x, int nDim, int *dims);
void buf_add_enum_velodyneMode ( buf_t buf, enum velodyneMode *x, int nDim, int *dims);
void buf_add_enum_velodyneBoolean ( buf_t buf, enum velodyneBoolean *x, int nDim, int *dims);
void buf_add_struct_velodyne3DImage ( buf_t buf, struct velodyne3DImage *x, int nDim, int *dims);
void buf_add_struct_velodyne3DPoint ( buf_t buf, struct velodyne3DPoint *x, int nDim, int *dims);
void buf_add_enum_velodyne3DPointStatus ( buf_t buf, enum velodyne3DPointStatus *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_velodyne3DPointStatus ( buf_t buf, velodyne3DPointStatus *x, int nDim, int *dims);
void buf_add_velodyne3DPoint ( buf_t buf, velodyne3DPoint *x, int nDim, int *dims);
void buf_add_velodyne3DImage ( buf_t buf, velodyne3DImage *x, int nDim, int *dims);
void buf_add_velodyneBoolean ( buf_t buf, velodyneBoolean *x, int nDim, int *dims);
void buf_add_velodyneMode ( buf_t buf, velodyneMode *x, int nDim, int *dims);
void buf_add_velodyneModel ( buf_t buf, velodyneModel *x, int nDim, int *dims);
void buf_add_velodyneInitParams ( buf_t buf, velodyneInitParams *x, int nDim, int *dims);
void buf_add_velodyneFOVRemoveHeadingSectorParams ( buf_t buf, velodyneFOVRemoveHeadingSectorParams *x, int nDim, int *dims);
void buf_add_velodyneFOVRemoveLineParams ( buf_t buf, velodyneFOVRemoveLineParams *x, int nDim, int *dims);
void buf_add_velodyneVerbosity ( buf_t buf, velodyneVerbosity *x, int nDim, int *dims);
void buf_add_velodyneTargetParams ( buf_t buf, velodyneTargetParams *x, int nDim, int *dims);
void buf_add_velodyneTargetDetectionParams ( buf_t buf, velodyneTargetDetectionParams *x, int nDim, int *dims);
void buf_add_velodyneTargetDetectionFileOutput ( buf_t buf, velodyneTargetDetectionFileOutput *x, int nDim, int *dims);
void buf_add_velodyneTargetTrackingParams ( buf_t buf, velodyneTargetTrackingParams *x, int nDim, int *dims);
void buf_add_velodyneTargetTrackingFileOutputParams ( buf_t buf, velodyneTargetTrackingFileOutputParams *x, int nDim, int *dims);
void buf_add_velodyneSaveParams ( buf_t buf, velodyneSaveParams *x, int nDim, int *dims);
void buf_add_velodyneOneShotParams ( buf_t buf, velodyneOneShotParams *x, int nDim, int *dims);
void buf_add_VELODYNE_STR ( buf_t buf, VELODYNE_STR *x, int nDim, int *dims);
void buf_add_VELODYNE_THREEDIMAGE_POSTER_STR ( buf_t buf, VELODYNE_THREEDIMAGE_POSTER_STR *x, int nDim, int *dims);
void buf_add_VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR ( buf_t buf, VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR *x, int nDim, int *dims);
void buf_add_VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR ( buf_t buf, VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR *x, int nDim, int *dims);
void buf_add_VELODYNE_TARGETTRACKING_POSTER_STR ( buf_t buf, VELODYNE_TARGETTRACKING_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* VELODYNE_TCLSERV_CLIENT_ENCODE_H */

